package com.jay.monitor.data.server.report;

import com.jay.monitor.data.server.costs.MdConstants;

/**
 * @Module 报表规则
 * @Description 总数报表
 * @Author liukaixiong
 * @Date 2020/12/16 10:48
 */
public interface CountReport extends NameReport {

    public static final Integer initCount = 1000;

    @Override
    default int getOrder() {
        return MdConstants.initSortCount;
    }

    public Long count(String date);

    @Override
    default String formatReport(String reportDate) {
        StringBuffer sb = new StringBuffer("## " + reportName() + ":" + count(reportDate));
        sb.append(MdConstants.newLine);
        return sb.toString();
    }
}
